require_relative '../../spec_helper'
# For Ruby < 1.9.3, use this instead of require_relative
# require (File.expand_path('./../../../spec_helper', __FILE__))

describe Datafiniti::Locations do

  it "must work" do
    "Yay!".must_be_instance_of String
  end

  describe "default attributes" do

    it "must include httparty methods" do
      Datafiniti::Locations.must_include HTTParty
    end

    it "must have the base url set to the Datafiniti API endpoint" do
      Datafiniti::Locations.base_uri.must_equal "https://#{ENV['DATAFINITI_API_KEY']}:@api.datafiniti.co"
    end


  end

  # describe "default instance attributes" do

  #   let(:locations) { Datafiniti::Locations.new(ENV['DATAFINITI_API_KEY']) }

  #   it "must have an id attribute" do
  #     location.must_respond_to :token
  #   end

  #   it "must have the right id" do
  #     location.token.must_equal ENV['DATAFINITI_API_KEY']
  #   end

  # end

  describe "GET location" do
    let(:locations) { Datafiniti::Locations.new(ENV['DATAFINITI_API_KEY']) }

    before do
      VCR.insert_cassette 'locations', :record => :new_episodes
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Datafiniti::Locations.get('/v2/data/locations/preview?view=location_json&q=city:Austin')
    end
  end

end
